#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Application to show KDE Application's documentation
Name:           khelpcenter
Epoch:          2
Version: 20.12.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(Grantlee5)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5KHtml)
BuildRequires:  cmake(KF5KCMUtils)

BuildRequires:  pkgconfig(xapian-core)
BuildRequires:  pkgconfig(libxml-2.0)

Requires:       kio
Requires:       grantlee
Requires:       kdelibs4support
Requires:       kio-handbook
Requires:       kdoctools

%description
Application to show KDE Application's documentation.

%files -f %name.lang
%_kf5_categoriesdir/khelpcenter.categories
%_kf5_bindir/khelpcenter
%_kf5_libdir/libkdeinit5_khelpcenter.so
%_libexecdir/*
%_kf5_applicationsdir/org.kde.Help.desktop
%_kf5_datadir/config.kcfg/khelpcenter.kcfg
%_kf5_datadir/kde4/services/khelpcenter.desktop
%_kf5_datadir/khelpcenter
%_kf5_services/khelpcenter.desktop
%_kf5_kxmlguidir/khelpcenter
%_kf5_metainfodir/org.kde.Help.appdata.xml

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/khelpcenter
%doc %_kf5_docdir/HTML/*/fundamentals
%doc %_kf5_docdir/HTML/*/onlinehelp

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655602
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1643988
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633803
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627046
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1614914
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604112
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596845
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585204
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568126
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559315
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540282
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513285
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466940
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457889
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447025
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1424984
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390439
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387646
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1382408
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375595
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365559
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356497
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339506
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332737
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327391
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298536
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1228956
- New version 18.04.1

* Tue Apr 17 2018 daviddavid <daviddavid> 2:17.12.2-2.mga7
+ Revision: 1219578
- rebuild for new xapian 1.4.5

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201887
- New version 17.12.2

* Tue Jan 23 2018 neoclust <neoclust> 2:17.12.1-2.mga7
+ Revision: 1196400
- Add minimum deps to have it works outside of plasma

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194909
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186447
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143037
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136771
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 2:17.04.3-3.mga7
+ Revision: 1133565
- Fix for new find_lang

* Sun Jul 30 2017 neoclust <neoclust> 2:17.04.3-2.mga7
+ Revision: 1132657
- Add conflicts to ease upgrade
- Add conflicts to ease upgrade

* Mon Jul 24 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1130253
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090067
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076803
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1072011
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067331
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061389
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050656
- New version 16.08.1

* Wed Aug 24 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1048442
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040057
- New version 16.04.3
- New version 16.04.2
- New version 5.6.5
- New version 5.6.4
- New version 5.6.4.1

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012543
- New version 16.04.1
- New version 5.6.3

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004333
- New version 16.04.0
- New version 5.6.2
- New version 5.6.1

* Sun Apr 03 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 997960
- New version 16.03.80

* Wed Mar 23 2016 neoclust <neoclust> 1:5.6.0-1.mga6
+ Revision: 994384
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 1:5.5.95-2.mga6
+ Revision: 987043
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 1:5.5.95-1.mga6
+ Revision: 983737
- New version 5.5.95

* Tue Feb 16 2016 luigiwalser <luigiwalser> 1:5.5.4-2.mga6
+ Revision: 962313
- also obsolete plasma5-khelpcenter-handbook

* Tue Jan 26 2016 neoclust <neoclust> 1:5.5.4-1.mga6
+ Revision: 927964
- New version 5.5.4

* Mon Jan 25 2016 neoclust <neoclust> 1:5.5.3-2.mga6
+ Revision: 927607
- Try to fix obsoletes

* Wed Jan 13 2016 neoclust <neoclust> 1:5.5.3-1.mga6
+ Revision: 922501
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 1:5.5.2-1.mga6
+ Revision: 914837
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 1:5.5.1-2.mga6
+ Revision: 913629
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 1:5.5.1-1.mga6
+ Revision: 910682
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 1:5.5.0-1.mga6
+ Revision: 908843
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 1:5.4.95-1.mga6
+ Revision: 904396
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 1:5.4.90-2.mga6
+ Revision: 900715
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 1:5.4.90-1.mga6
+ Revision: 898254
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 1:5.4.2-1.mga6
+ Revision: 889511
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 1:5.4.1-1.mga6
+ Revision: 874726
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 1:5.4.0-1.mga6
+ Revision: 869642
- New version 5.4.0
- Add conflicts to ease upgrade
- New version 5.3.95

* Sun Aug 09 2015 neoclust <neoclust> 1:5.3.2-4.mga6
+ Revision: 861696
- Fix confict to ease upgrade

* Wed Aug 05 2015 neoclust <neoclust> 1:5.3.2-3.mga6
+ Revision: 861166
- Own kxmlgui5/khelpcenter dir

* Sat Jul 18 2015 neoclust <neoclust> 1:5.3.2-2.mga6
+ Revision: 854991
- Obsolete plasma5-%%name

* Fri Jul 17 2015 neoclust <neoclust> 1:5.3.2-1.mga6
+ Revision: 854972
- imported package khelpcenter

